Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 991666 - Review Request: compat-lua - Powerful light-weight programming language (compat version)
Summary: Review Request: compat-lua - Powerful light-weight programming language (comp...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 991874 991903 991924
TreeView+ depends on / blocked
 
Reported: 2013-08-03 12:36 UTC by Hans de Goede
Modified: 2014-12-02 00:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-05 13:46:56 UTC
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Hans de Goede 2013-08-03 12:36:13 UTC
Spec URL: http://people.fedoraproject.org/~jwrdegoede/compat-lua.spec
SRPM URL: http://people.fedoraproject.org/~jwrdegoede/compat-lua-5.1.4-5.fc20.src.rpm
Description: This package contains a compatibility version of lua-5.1
Fedora Account System Username: jwrdegoede

Comment 1 Christopher Meng 2013-08-05 01:56:44 UTC
Why not shipping static files this time?

And why the release is 5 comparing with this:

http://pkgs.org/fedora-rawhide/fedora-i386/compat-lua-libs-5.1.4-1.fc20.i686.rpm.html

And can you help notify Tom that the changelog of the above package is wrong?

Comment 2 Hans de Goede 2013-08-05 05:53:05 UTC
(In reply to Christopher Meng from comment #1)
> Why not shipping static files this time?

Because we've a policy in Fedora to avoid static libs whenever possible, and there does not seem to be a need for having a compat-lua-static. If such a need ever comes up, with convincing arguments, they can be added.

> 
> And why the release is 5 comparing with this:
> 
> http://pkgs.org/fedora-rawhide/fedora-i386/compat-lua-libs-5.1.4-1.fc20.i686.
> rpm.html

Because it needs to be bigger then the release used there, and I wanted some extra room in case there
were some iterations of  compat-lua-libs before compat-lua enters the distro as a separate package.

> And can you help notify Tom that the changelog of the above package is wrong?

Anyone can notify Tom, either through his public email address, or through bugzilla. But if you can tell me what is wrong, I can fix it when I remove compat-lua-libs from the main lua package.

Comment 3 Christopher Meng 2013-08-05 06:10:47 UTC
OK.

Ignore my last question at comment 1.

Comment 4 Christopher Meng 2013-08-05 06:14:06 UTC
Package is fine.

APPROVED.

Comment 5 Hans de Goede 2013-08-05 09:12:52 UTC
(In reply to Christopher Meng from comment #4)
> Package is fine.

Thanks for the review!

Comment 6 Hans de Goede 2013-08-05 09:18:12 UTC
New Package SCM Request
=======================
Package Name: compat-lua
Short Description: Powerful light-weight programming language (compat version)
Owners: jwrdegoede
Branches:
InitialCC:

Comment 7 Gwyn Ciesla 2013-08-05 12:24:19 UTC
Git done (by process-git-requests).

Comment 8 Hans de Goede 2013-08-05 13:46:56 UTC
Thanks!, Imported and build, closing.

Comment 9 Mosaab Alzoubi 2014-12-01 14:55:43 UTC
Package Change Request
======================
Package Name: compat-lua
New Branches: el6 epel7
Owners: jwrdegoede moceap

Comment 10 Gwyn Ciesla 2014-12-01 18:19:15 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2014-12-02 00:19:20 UTC
compat-lua-5.1.5-3.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/compat-lua-5.1.5-3.el7


Note You need to log in before you can comment on or make changes to this bug.